Skip to main content
POST
/
2
/
pm
/
deploy
/
build
Build Safe deploy transaction
curl --request POST \
  --url https://demo-api.mobula.io/api/2/pm/deploy/build \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": "<string>"
}
'
{
  "data": {},
  "hostname": "<string>",
  "took": 123
}

Request Body

address
string
required
The wallet address to deploy a Safe account for.

Response

data
object
EIP-712 typed data to sign, plus the derived Safe address.
hostname
string
Server node identifier.
took
number
Request processing time in milliseconds.

Usage Example

curl -X POST "https://api.mobula.io/api/2/pm/deploy/build" \
  -H "Content-Type: application/json" \
  -d '{ "address": "0xYourWalletAddress" }'
After signing the returned typed data, submit the signature to Deploy Submit to get the deployment calldata. Then send that transaction on Polygon.

Body

application/json
address
string
required

Response

200 - application/json

Deploy calldata

data
object
hostname
string
took
number